NOFN(4)

NAME
nofn - Hifn 7814/7851/7854 HIPP1 crypto accelerator

SYNOPSIS
nofn* at pci?

DESCRIPTION
The nofn driver supports cards based on the Hifn 7814, 7851, and 7854 HIPP1 packet processors. The 7814 and 7854 both contain a public key processor and a random number generator. The public key processor registers with the crypto(4) subsystem to support modular exponentiation, and the random number generator provides random bits to the random(4) subsystem.

Currently, no packet processing is supported.

SEE ALSO
crypt(3), crypto(4), intro(4), ipsec(4), pci(4), random(4), crypto(9)

HISTORY
The nofn device driver appeared in OpenBSD 3.2.